# endless-sky-mode

Emacs major mode for editing Endless Sky data files

This mode does basically two things:

  1. A bit of syntax highlighting. Not much, just keywords, strings,
  and comments. The mode is not grammar-aware at all.
  2. The tab key puts a tab character in. There's no smart
  indentation, but tab characters are required for the data files, and
  ~~most emacs users~~ I use spaces instead of tabs almost everywhere.

Install and use as you usually do for things that aren't on any
package archives. Because Endless Sky data files use the `.txt` file
extension, I recommend invoking the mode manually when you start
editing a file, rather than adding a hook and running the risk of
getting the mode on random text files.


# thanks

Thanks to the varied authors of the EmacsWiki, particularly the
[Derived Mode](https://www.emacswiki.org/emacs/DerivedMode) page.

Thanks to /u/redblobgames for [help getting the tab key
working](https://www.reddit.com/r/emacs/comments/10w9yii/how_do_you_create_a_derived_mode_with_tab/).

Thanks to the [Endless Sky](https://endless-sky.github.io/) team, for
a great game, and also great [documentation for
creators](https://github.com/endless-sky/endless-sky/wiki).